Bug 89616 - UI: Find Toolbar retains previous search but arrows inactive
Summary: UI: Find Toolbar retains previous search but arrows inactive
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:5.3.0 target:5.2.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-24 14:50 UTC by Gordo
Modified: 2016-10-25 18:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-02-24 14:50:46 UTC
1. Open Find Toolbar.
2. Enter search term.
3. Use arrows to Find Next or Previous or hit return.
4. Close Find Toolbar.
5. Escape or click somewhere in the document to unselect text.
6. Open Find Toolbar again.  Search term is still there, but Find Next and Previous arrows are inactive.
7. Clicking in search box and hitting return finds the next occurrence but the arrows are still inactive.
8. Deleting search term and re-entering the same or different search term results in the arrows once again being active.

Should the Find Toolbar reset once closed?  If not, the arrows need to be active.
Comment 1 A (Andy) 2015-02-24 21:35:14 UTC
Reproducible with LO 4.4.0.3, Win 8.1
Comment 2 tommy27 2016-04-16 07:22:55 UTC Comment hidden (obsolete)
Comment 3 David H. Gutteridge 2016-05-26 04:49:57 UTC
Confirming this is still relevant with 5.1.3.2 on Mac OS X 10.11.5. (It's a mildly annoying issue I keep hitting.)
Comment 4 Commit Notification 2016-06-30 06:35:28 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f34143dfb061cb8dda76b9e4f449f1e6b4fc181

tdf#89616 Find toolbar: Activate search arrows when input has text

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-06-30 08:23:40 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e171fa809495120a5b944ce7b1f77099dbb9a4a&h=libreoffice-5-2

tdf#89616 Find toolbar: Activate search arrows when input has text

It will be available in 5.2.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.